Skip to content

Retrieve Workflow Action Details

Retrieve details about a workflow action. For example, the prompts needed to complete a workflow action.

GET/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{workflow_id}The workflow id field value.
{workflow_action}The name of the workflow action. To get this value, you can Retrieve Workflow Actions.
curl -X GET "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.3/objects/objectworkflows/1801/actions/removecontent
{ "responseStatus": "SUCCESS", "data": { "name": "removecontent", "label": "Remove Content", "controls": [ { "label": "Documents", "type": "documents", "prompts": [ { "name": "documents__sys", "label": "Documents", "required": true } ], "current_values": [ { "document_id__v": "67" }, { "document_id__v": "41" } ] } ] } }

On SUCCESS, the response lists all prompts required to complete the workflow action. If the workflow action does not require any prompts, the response will only list SUCCESS. In the example response, the removecontent workflow action requires a value for contents__sys.